#! /usr/local/bin/perl
# ESA (C) 2000-2018 
#
# This file is part of ESA's XMM-Newton Scientific Analysis System (SAS).
#
#    SAS is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    SAS is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with SAS.  If not, see <http://www.gnu.org/licenses/>.
use SAS;

my $type = shift;

foreach($type) {
    /message/ and do {
      SAS::message($SAS::AppMsg, $SAS::SilentMsg, "Message from the SAS (silent)");
      SAS::message($SAS::AppMsg, $SAS::SparseMsg, "Message from the SAS (sparse)");
      SAS::message($SAS::AppMsg, $SAS::VerboseMsg, "Message from the SAS (verbose)");
      SAS::message($SAS::AppMsg, $SAS::NoisyMsg, "Message from the SAS (noisy)");
	next;
    };

    /warning/ and do {
      SAS::warning("code", "warning");
	next;
    };

    /error/ and do {
      SAS::error("code", "error");
	next;
    };

  /fatal/ and do {
    SAS::fatal("code", "fatal");
      next;
  };

    die("wrong input to test harness\n");

}


